Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UpdateClientStatusRequest;
import org.openapis.openapi.models.operations.UpdateClientStatusResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateClientStatusRequest req = UpdateClientStatusRequest.builder()
.clientId("<id>")
.status("<value>")
.build();
UpdateClientStatusResponse res = sdk.clients().updateStatus()
.request(req)
.call();
if (res.object().isPresent()) {
// handle response
}
}
}curl --request PATCH \
--url https://api.tradearies.dev/v1/users/api/client/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.tradearies.dev/v1/users/api/client/status"
payload = {
"client_id": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: '<string>', status: '<string>'})
};
fetch('https://api.tradearies.dev/v1/users/api/client/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "<string>",
"message": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Clients
Update Client Status
Updates the status of an OAuth2 API client. This endpoint allows authenticated users to update the status of their OAuth2 clients. Common status values include ‘active’, ‘inactive’, or ‘suspended’. Only clients owned by the authenticated user can be updated.
PATCH
/
v1
/
users
/
api
/
client
/
status
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UpdateClientStatusRequest;
import org.openapis.openapi.models.operations.UpdateClientStatusResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateClientStatusRequest req = UpdateClientStatusRequest.builder()
.clientId("<id>")
.status("<value>")
.build();
UpdateClientStatusResponse res = sdk.clients().updateStatus()
.request(req)
.call();
if (res.object().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I